<?php 

require_once('database.inc');
require_once('drupal.inc');
require_once('functions.inc');
require_once('config.inc');

print site_header();
print site_menu();

$query = "SELECT * from html2rss_sites order by last_checked desc";
$result = db_query($query);

$output = "<table border=\"1\" cellspacing=\"0\" cellpadding=\"2\">";
$output .= "<tr><td>Visit</td><td>Edit</td><td>Category</td><td>Source</td><td>Last checked</td><td>Last Item Added</td></tr>\n";
while ($item = db_fetch_object($result)) {
  $output .= "<tr><td>";
  $output .= "<a href=\"" . ourhost() . "/$item->id\">visit</a>";
  $output .= "</td><td>";
  $output .= "<a href=\"" . ourhost() . "/edit.php?id=$item->id\">edit</a>";
  $output .= "</td><td>";
  $output .= $item->cat;
  $output .= "</td><td>";
  $output .= $item->src;
  $output .= "</td><td>";
  //$output .= date("H:i:s d/M/Y", $item->last_checked);
  $last = $item->last_checked;
  $output .= ($last ? calcElapsedTime($last) : 0);
  $output .= "</td>";
  $last_item = last_item($item->id);
  $update_time = (time() - (86400 * 5));
  if ($last_item < $update_time) {
    $output .= "<td bgcolor=\"red\">";
    $output .= ($last_item ? calcElapsedTime($last_item) : 0);
  }
  else {
    $output .= "<td>";
    $output .= ($last_item ? calcElapsedTime($last_item) : 0);
  }
  $output .= "</td></tr>";
}
$output .= "</table>";

print $output;

// print phpinfo();

?>
